AutoCAD Inventor :: Using ILogic To Rename Browser Nodes?
Jul 3, 2013
how to create an iLogic rule that automatically renames the browser nodes based on part number. I know that this is a function in Inventor itself. The problem is that there is no built-in functionality to automatically change the default browser name to something besides part number. I've done a lot of digging and I came across the following code from an old thread discussing Inventor 2011. I am interested in 2013. It is also worth noting that when I run this code, my Inventor crashes.
PrivateSubMain
UpdateAssyBrowser(ThisDoc.Document)
End Sub
[Code]....
View 9 Replies
ADVERTISEMENT
Jan 7, 2013
Is there a way to rename browser nodes within a part in a similar way that the rename browser nodes tool works in assemblies? I am copying designs with derived parts, after copying the design I can see that the part files contain the correct links to other parts when I open the base component but they display as the old name in the browser which is not ideal.
View 4 Replies
View Related
Aug 10, 2012
Looking for a way to add additional properties to the drop-down list in Rename Browser Nodes.
Standard List:
Filename
Part Number
Default
Additional properties would be a concatenation of native inventor properties:
<Part Number>-<Description>
View 5 Replies
View Related
Oct 18, 2011
is it possible to rename the browser node on part level with an iLogic rule? I know that in the assembly environment is an Inventor OOTB functionality to rename the nodes to the filename, Part number or the default value.
Inventor Professional 2011
Windows 7 Enterprise 64bit
Dell Precision M4500
Intel(R) Core(TM) i7 CPU Q 820 @ 1.73GHz
8 GB RAM
View 2 Replies
View Related
Jun 4, 2013
Is the alpha sort function available trough API ? It's located in Assembly tab, Productivity tools. I'd like to use it in a custom program instead of asking my customer to click on the button.
View 2 Replies
View Related
May 2, 2013
I am attempting to rename a browser node. Here is the code I'm using and I'm getting a "Property 'Label' is 'ReadOnly'" error. In the API I found a note about using SetLabel() but that seems to only have ones for ClientMade browser nodes.
oSubAssyNode.BrowserNodeDefinition.Label = "XXX"
View 2 Replies
View Related
Apr 19, 2012
WHAT WERE they thinking when they created the Rename Browser Command. We had someone find out about it and really screw up a bunch of top level assy's. I'm having to WASTE WAY TOO much time fixing them, bringing them back to showing the modified descriptions in the Browser.
View 5 Replies
View Related
Sep 13, 2011
I am having a bit of trouble finding the correct code for some automated ilogic in inventor 2011.
I am trying to achieve an automated rename and save process for an assembly file as well as the variable parts in the file.an example would be a steel column...
Open ilogic steel column, run rules to change column length and section size...then save a copy to workspace, but also to a specific folder in the workspace..also rename the column file and save.
i have this for file saving -
SyntaxEditor Code Snippet
Test=InputBox("Add File name", "Please Add your file name", "Prefix number - File - .iam")
ThisDoc.Document.SaveAs(ThisDoc.WorkspacePath()&Test, True)
Which works fine to save the new assembly, but i need the same for the variable column within the assembly, and also to save to a specific folder not just the workspace top level.
View 9 Replies
View Related
Feb 21, 2013
way to rename a new dimension parameter in sketch with a dialog box directly not having to go to Functions or diemnsion properties.
View 2 Replies
View Related
Aug 19, 2013
I have a part file XXXXYYYY.ipt and I would like an ilogic code that searches if my file name contains "XXXXYYYY" to replace the X's and Y's with 1244SIMS and moves that file to a specified folder. Is there any code out there that will allow me to do this?
View 5 Replies
View Related
May 30, 2013
I am trying to find a way to have iLogic code that looks at a part with only one extrusion, such as bar stock or angle stock and automatically export the length to iProperties. As per the request of the other engineers however, this code cannot be based on a common renamed parameter. Also, since no one draws things the same exact way, it can't be based off of a common dimension parameter either. At least not in terms of d0,d1..etc.
Is there such thing as a code similar to variable=standard.extrusionextentslength that I can imbed within an if then that would pull this information from the model?
View 4 Replies
View Related
Jan 9, 2013
I'm running Invenor 2013 and I'm trying to figure out a way to rename my components from an iLogic assembly when placed in a new assembly.
Right now when I start a new assembly, then place an iLogic component it names everything "Part-01," Part1-01" and so on for all of the variable components.
What I'd like to do is write a rule that when placing my iLogic component it will name it based on the filename of the new assembly that I've created. "Part-New Assmebly," "Part1-New Assembly" and so on.
View 7 Replies
View Related
Aug 7, 2012
I need to rename some nodes in a classification tree but I keep on getting the exception.message "eInvalidInput" from the exception.source Acdbmgd.
Here is the
<Autodesk.AutoCAD.Runtime.
CommandMethod("RenameClassificationTreeNode")> _
PublicSub RenameClassificationTreeNode()
Dim ed AsEditor = Application.DocumentManager.MdiActiveDocument.Editor()
Dim db AsDatabase = HostApplicationServices.WorkingDatabase
[Code]...
'Here is the task: Remove paranthesis if present
IfNot (node.Id.IsNull) Then
Dim Clsfc AsClassification = CType(tr.GetObject(node.Id, OpenMode.ForRead), Classification)
Dim OldName AsString = Clsfc.Name
If OldName.Contains("(") AndAlso OldName.Contains(")") Then
[Code]....
View 2 Replies
View Related
Dec 7, 2012
see attached link for the explaination of what I am looking for.
[URL]
View 2 Replies
View Related
Nov 22, 2013
Working on a product configurator using iLogic and have a large amount of hardware that needs to be suppress or unsuppressed based on certain parameter choices. Instead of creating hundreds of lines of code suppressing and unsuppressing the hardware one by one, I was hoping to put hardware into folders based configurations. In my mind this would have allowed me to have one line that would suppress the folder as needed. Unfortunately I cannot figure how to suppress a folder in iLogic as I saw someone else mention I was hoping for a "Folder.IsActive" rule but have yet to find one.
Inventor 2013
View 6 Replies
View Related
Jul 4, 2012
I want my browser name using iLogic particular change to the part number. I fill in my iproperties, the part number. Then the browser name has to take over the part number.
But i get an error.
doc = ThisDoc.Document
Dim oCC As ComponentOccurrence
For Each oCC In doc.ComponentDefinition.Occurrences
OccName = oCC.Name
oCC.Name = iProperties.Value("Project", "Part Number")
Next
View 4 Replies
View Related
Dec 21, 2012
How can I change the default icon that shows up in the browser node in a part file? I found some VB code but can't seem to get it to work with ilogic.
View 7 Replies
View Related
Jul 10, 2012
When I replace elements with iLogic the Inventor Browser is not automatically refreshed.
E.g. I have a file A.ipt and I replace it with B.ipt then in the Brwoser will be shown: A.ipt:1, even when B is already inserted.
Is there some refresh, like "Update Browser nodes when done" ?
These both has no influence on it:
iLogicVb.UpdateWhenDone = True
InventorVb.DocumentUpdate()
By the way. To Update the Browser manually, I have to rename the block nodes (From Filename to Filename). So it's only opening up the Renaming Function and then hitting "ok".
If there's no direct function to update the Browser, maybe there's a way to do the manually way by iLogic?
View 9 Replies
View Related
Apr 17, 2013
I'm trying to create an ilogic rule that will look within the folders of an assembly and take the contents of each of those folders and demote them to separate sub-assemblies.
ie. Assembly1 contains NewFolder 1. NewFolder 1 contains Part1:1 and Part2:1. Upon executing the ilogic rule, I would like Assembly1 to contain NewFolder 1 and within NewFolder 1, Assembly1-01. Assembly1-01 contains Part1:1 and Part2:1. I would like this ilogic rule to look within each successive folder within Assembly1 and demote them according to their position in the browser such that NewFolder 1 - at the top of the browser list - contains Assembly-01, NewFolder 2 contains Assembly-02, etc.
I currently copy a master assembly with browser folders that contain parts and sub-assemblies to a secondary assembly where I manually demote the contents of the folders to sub-assemblies. When I create a drawing for our machine assembly department, the demoted sub-assemblies to isolate only those parts - nuts, bolts and the pieces they fit to - so it is easier for the assembly department when putting a machine together.
Is it possible, using ilogic, to demote folder contents to sub-assemblies with an assembly document?
View 2 Replies
View Related
Oct 4, 2012
I am looking to apply a set part number iproperty to the first, then second, then third components in the assembly browser tree in my iLogic rule, regardless of their current part number. (I need to select them by their position in the browser tree as their part number will vary). How do I do this?
View 1 Replies
View Related
Oct 4, 2013
I want to be able to have All Work Planes set as 'Invisible' but create a Message.box or Icon that allows me to change the Visibility of any individual workplane(s) physically selected in the browser.
A rule written by another member should do the trick if the following line could be altered so as not to read 'For Each' oWorkPlane but instead for 'Each Selected' oWorkplane.
'For Each oWorkPlane In docFile.ComponentDefinition.WorkPlanes'
'get user input
oInput = InputRadioBox("Select workplane visibility:", _
"Turn ON workplanes for all components", "Turn OFF workplanes for all components", "False", "iLogic")
'Define the open document (top level assembly)
Dim openDoc As Document
openDoc = ThisDoc.Document
[code]....
View 1 Replies
View Related
Oct 29, 2012
I opened the drawing and then from the drawing opened the model. In the drawing it is showing the 4th instance of ROUND CRS-032175 X 33 as an assembly. It also is not showing in the view and yet the visibility is checked. AI2012 SP2
View 1 Replies
View Related
Apr 8, 2013
I am trying to use the Browsernode.addchild method to add an occurence to an empty browser folder. The code fails at this point and I gett an error pointing to the line "Call oTargetNode.AddChild(oSourceNodeDef)". I can add the occurence with the browserpanes.Reorder method without issue if the folder is not empty. The code is pasted Below.
Format:HTML Format Version:1.0 StartHTML: 165 EndHTML: 29338 StartFragment: 314 EndFragment: 29306 StartSelection: 314 EndSelection: 314
SyntaxEditor Code Snippet
DimPrcsTpAsStringPrcsTp=InputListBox("Process Type?", MultiValue.List("ProcessType"), Parameter("ProcessType"), Title :="Select Process Type", ListName :="Process Type")DimRtgNameAsStringRtgName=PrcsTp&"-"&Parameter("NoRtgsInc")+1MessageBox.Show(RtgName, "Title",MessageBoxButtons.OKCancel)DimoAsmAsAssemblyDocument=ThisDoc.DocumentDimoMatrixAsMatrix=ThisApplication.TransientGeometry.CreateMatrixDimoOccAsComponentOccurrenceoOcc=oAsm.ComponentDefinition.Occurrences.AddVirtual(RtgName, oMatrix)DimoCompDefVirtualAsVirtualComponentDefinition=oOcc.Definition'CREATE AND SET THE
[code]....
View 1 Replies
View Related
Nov 7, 2011
When I press F1 Inventor opens the help on my default browser (Chrome), but when I click the bynocular it uses Internet Explorer.
Is it possible to force Inventor to use a browser of my choice or the default browser?
View 1 Replies
View Related
Aug 19, 2013
how can I close an iLogic Form from either an iLogic Rule, or a VBA Rule (VBA is the Preferred method)?
View 5 Replies
View Related
May 3, 2013
I have created a report from a frame analysis of an arrangement of I-Beam steelwork. I need to check that I have placed the nodes in the right order and this is reflected in the results of the report. I have the parent and child nodes connected at the ends of the beams as shown on the attached screen shot. I'm interested to know if the order in which I have selected the nods makes any difference to the results. There a 3 node connection points at each corner section.
View 3 Replies
View Related
Feb 22, 2012
Is it possible to determine which nodes are expanded using the API?
I want to make some changes to the node information in an assembly browser but as there are many hundred parts so I only want to do the operation on the expanded nodes to keep any delay to a minimum.
View 2 Replies
View Related
Jun 28, 2012
Trying to find a way to increase the size of the 3D spline nodes so that they can be seen easier. Is there a setting to control this?
View 2 Replies
View Related
May 29, 2012
What I am trying to do is importing a CorelDraw file into Inventor and extruding a few features. The point is to mimic a silkscreen file on metal work. My work process has been as such: create the file in CorelDraw and change all lines/shapes to curves. Save the complete CorelDraw as a dwg. Open the dwg in Inventor and copy and paste the sketch into a new part in Inventor. This process seems to work for simple parts. As soon as there is text and more complicated features there is alot of points which slows my computer down and makes it impossible to do anything. Any way to auto-reduce points in a sketch or have a better way of importing vector files into Inventor? I have tried importing the text as text instead of curves but it does not transfer correctly.
View 9 Replies
View Related
Jun 19, 2013
I am doing a customization in Inventor for renaming. In assembly i called rename browser nodes and it successfully renamed in browser name, but when i rename the part by opening the part it still remains the same.how to rename a part.
View 6 Replies
View Related
Feb 5, 2013
Is it possible to have Lightroom rename the source images according to my custom naming convention?
I just imported 278 photos and they are all correctly renamed within Lightroom however the source files retained the original Canon generated names. I want to rename them for backup/in case I ever decide to stop using Lightroom/etc.
View 3 Replies
View Related